---
title: Link
slug: Web/HTTP/Headers/Link
tags:
  - Draft
  - HTTP
  - HTTP Header
  - Link
  - NeedsCompatTable
  - NeedsContent
  - NeedsSyntax
  - Reference
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>Link</code></strong> entity-header field provides a means for serialising one or more links in HTTP headers. It is semantically equivalent to the HTML {{HTMLElement("link")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Link: &lt; <var>uri-reference</var> &gt;; <var>param1</var>=<var>value1</var>; <var>param2</var>="<var>value2</var>"</pre>

<dl>
 <dt><code>&lt;uri-reference&gt;</code></dt>
 <dd>The URI reference, must be enclosed between <code>&lt;</code> and <code>&gt;</code>.</dd>
</dl>

<h3 id="Parameters">Parameters</h3>

<p>The link header contains parameters, which are separated with <code>;</code> and are equivalent to attributes of the {{HTMLElement("link")}} element.</p>

<h2 id="Examples">Examples</h2>

<p>The URI (absolute or relative) must be enclosed between <code>&lt;</code> and <code>&gt;</code>:</p>

<pre class="brush: http; no-line-numbers example-good notranslate">Link: &lt;https://example.com&gt;; rel="preconnect"</pre>

<pre class="brush: http; no-line-numbers example-bad notranslate">Link: https://bad.example; rel="preconnect"</pre>

<h3 id="Specifying_multiple_links">Specifying multiple links</h3>

<p>You can specify multiple links separated by commas, for example:</p>

<pre class="notranslate">Link: &lt;https://one.example.com&gt;; rel="preconnect", &lt;https://two.example.com&gt;; rel="preconnect", &lt;https://three.example.com&gt;; rel="preconnect"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comments</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC(8288, "Link Serialisation in HTTP Headers", 3)}}</td>
   <td><span class="spec-RFC">IETF RFC</span></td>
   <td></td>
  </tr>
  <tr>
   <td>{{RFC(5988, "The Link Header Field", 5)}}</td>
   <td><span class="spec-RFC">IETF RFC</span></td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Link")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPStatus(103, "103 Early Hints")}}</li>
</ul>
